/** @preserve Eloquence WEBDLG v2
 (C) Copyright Marxmeier Software AG, 2020-2021
 Version: 1.969 2021-10-29
 $Id: 00-load.js,v 28.1 2021/10/29 11:40:53 mike Exp $
*/

var eq = {};

(function() {
   // Check page URL for query string app= parameter.
   var wl = window.location, url = wl.href, app, ws;
   try {
      app = /[?&]app=([^&#]+)/i.exec(url)[1];
   } catch (e) {}
   if (app) {
      // Query string app= parameter specified, override application.
      (ws = window.sessionStorage).setItem('eq-webdlg.app', app);
      // Initialize user agent tag and session id.
      ws.removeItem('eq-webdlg.uat');
      ws.removeItem('eq-webdlg.sid');
      // Reload page wo/ query string app= parameter.
      eq.redirected = true;
      wl.replace((function(u) {
         var
            r = /^([^?#]+)([?][^#]*)?(#.*)?$/.exec(u),
            q = r[2];
         if (q) {
            var re = new RegExp('([?&])app=[^&#]*', 'i');
            if (q.match(re)) {
               q = q.replace(re, '');
               if (q.length && q.charAt(0) === '&')
                  q = q.replace('&', '?');
            }
         }
         u = r[1];
         if (q)
            u += q;
         if (r[3])
            u += r[3];
         return u;
      })(url));
   }
   else {
      // Load eq-webdlg-main.js script.
      try {
         // Obtain script base URI from script URI.
         url = document.querySelector('script#eq-webdlg').src;
         var
            p = /^([^?#]+\/)[^/?#]+/.exec(url)[1],
            sc = document.createElement('SCRIPT');
         sc.src = p + "eq-webdlg-ui.js";
         sc.async = true;
         document.head.appendChild(sc);
      }
      catch (e) {
         throw new Error("WEBDLG: <script id=\"eq-webdlg\"> not found");
      }
   }
})();

